Index: include/vfont-if.h
===================================================================
--- include/vfont-if.h	(revision 59161)
+++ include/vfont-if.h	(working copy)
@@ -121,13 +121,8 @@
  */
 BU_EXPORT extern struct vfont *vfont_get(char *font);
 
-/**
- * V F O N T _ F R E E
- *
- * Return the storage associated with a struct vfont
- */
-BU_EXPORT extern void vfont_free(struct vfont *font);
 
+
 __END_DECLS
 
 #endif /* VFONT_IF_H */
Index: src/adrt/librender/texture.h
===================================================================
--- src/adrt/librender/texture.h	(revision 59161)
+++ src/adrt/librender/texture.h	(working copy)
@@ -57,7 +57,7 @@
 };
 
 
-BU_EXPORT extern void texture_blend_init(struct texture_s *texture, vect_t color1, vect_t color2);
+
 BU_EXPORT extern void texture_blend_free(struct texture_s *texture);
 BU_EXPORT extern void texture_blend_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -66,7 +66,7 @@
 };
 
 
-BU_EXPORT extern void texture_bump_init(struct texture_s *texture, vect_t rgb);
+
 BU_EXPORT extern void texture_bump_free(struct texture_s *texture);
 BU_EXPORT extern void texture_bump_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -82,7 +82,7 @@
 };
 
 
-BU_EXPORT extern void texture_camo_init(struct texture_s *texture, fastf_t size, int octaves, int absolute, vect_t color1, vect_t color2, vect_t color3);
+
 BU_EXPORT extern void texture_camo_free(struct texture_s *texture);
 BU_EXPORT extern void texture_camo_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -92,7 +92,7 @@
 };
 
 
-BU_EXPORT extern void texture_checker_init(struct texture_s *texture, int checker);
+
 BU_EXPORT extern void texture_checker_free(struct texture_s *texture);
 BU_EXPORT extern void texture_checker_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -107,7 +107,7 @@
 };
 
 
-BU_EXPORT extern void texture_cloudts_inis(struct texture_s *texture, fastf_t size, int octaves, int absolute, vect_t scale, vect_t translate);
+
 BU_EXPORT extern void texture_clouds_free(struct texture_s *texture);
 BU_EXPORT extern void texture_clouds_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -117,7 +117,7 @@
 };
 
 
-BU_EXPORT extern void texture_gradient_init(struct texture_s *texture, int axis);
+
 BU_EXPORT extern void texture_gradient_free(struct texture_s *texture);
 BU_EXPORT extern void texture_gradient_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -129,7 +129,7 @@
 };
 
 
-BU_EXPORT extern void texture_image_init(struct texture_s *texture, short w, short h, unsigned char *image);
+
 BU_EXPORT extern void texture_image_free(struct texture_s *texture);
 BU_EXPORT extern void texture_image_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -140,7 +140,7 @@
 };
 
 
-BU_EXPORT extern void texture_mix_init(struct texture_s *texture, struct texture_s *texture1, struct texture_s *texture2, fastf_t coef);
+
 BU_EXPORT extern void texture_mix_free(struct texture_s *texture);
 BU_EXPORT extern void texture_mix_work(__TEXTURE_WORK_PROTOTYPE__);
 
@@ -151,10 +151,9 @@
 };
 
 
-BU_EXPORT extern void texture_stack_init(struct texture_s *texture);
+
 BU_EXPORT extern void texture_stack_free(struct texture_s *texture);
 BU_EXPORT extern void texture_stack_work(__TEXTURE_WORK_PROTOTYPE__);
-BU_EXPORT extern void texture_stack_push(struct texture_s *texture, struct texture_s *texture_new);
 
 
 #endif
Index: src/adrt/librender/texture_blend.c
===================================================================
--- src/adrt/librender/texture_blend.c	(revision 59161)
+++ src/adrt/librender/texture_blend.c	(working copy)
@@ -29,20 +29,9 @@
 
 #include "bu.h"
 
-void
-texture_blend_init(struct texture_s *texture, vect_t color1, vect_t color2) {
-    struct texture_blend_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_blend_s);
-    texture->free = texture_blend_free;
-    texture->work = (texture_work_t *)texture_blend_work;
 
-    sd = (struct texture_blend_s *)texture->data;
-    VMOVE(sd->color1, color1);
-    VMOVE(sd->color2, color2);
-}
 
-
 void
 texture_blend_free(struct texture_s *texture) {
     bu_free(texture->data, "texture data");
Index: src/adrt/librender/texture_bump.c
===================================================================
--- src/adrt/librender/texture_bump.c	(revision 59161)
+++ src/adrt/librender/texture_bump.c	(working copy)
@@ -29,19 +29,9 @@
 
 #include "bu.h"
 
-void
-texture_bump_init(struct texture_s *texture, vect_t coef) {
-    struct texture_bump_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_bump_s);
-    texture->free = texture_bump_free;
-    texture->work = (texture_work_t *)texture_bump_work;
 
-    sd = (struct texture_bump_s *)texture->data;
-    VMOVE(sd->coef, coef);
-}
 
-
 void
 texture_bump_free(struct texture_s *texture) {
     bu_free(texture->data, "texture data");
Index: src/adrt/librender/texture_camo.c
===================================================================
--- src/adrt/librender/texture_camo.c	(revision 59161)
+++ src/adrt/librender/texture_camo.c	(working copy)
@@ -30,26 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_camo_init(struct texture_s *texture, fastf_t size, int octaves, int absolute, vect_t color1, vect_t color2, vect_t color3) {
-    struct texture_camo_s *sd;
 
-    BU_ALLOC(texture->data, struct texture_camo_s);
-    texture->free = texture_camo_free;
-    texture->work = (texture_work_t *)texture_camo_work;
 
-    sd = (struct texture_camo_s *)texture->data;
-    sd->size = size;
-    sd->octaves = octaves;
-    sd->absolute = absolute;
-    VMOVE(sd->color1, color1);
-    VMOVE(sd->color2, color2);
-    VMOVE(sd->color3, color3);
 
-    texture_perlin_init(&sd->perlin);
-}
-
-
 void
 texture_camo_free(struct texture_s *texture) {
     struct texture_camo_s *td;
Index: src/adrt/librender/texture_checker.c
===================================================================
--- src/adrt/librender/texture_checker.c	(revision 59161)
+++ src/adrt/librender/texture_checker.c	(working copy)
@@ -30,19 +30,8 @@
 
 #include "bu.h"
 
-void
-texture_checker_init(struct texture_s *texture, int tile) {
-    struct texture_checker_s *td;
 
-    BU_ALLOC(texture->data, struct texture_checker_s);
-    texture->free = texture_checker_free;
-    texture->work = (texture_work_t *)texture_checker_work;
 
-    td = (struct texture_checker_s *)texture->data;
-    td->tile = tile;
-}
-
-
 void
 texture_checker_free(struct texture_s *texture) {
     bu_free(texture->data, "checker data");
Index: src/adrt/librender/texture_clouds.c
===================================================================
--- src/adrt/librender/texture_clouds.c	(revision 59161)
+++ src/adrt/librender/texture_clouds.c	(working copy)
@@ -30,25 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_clouds_init(struct texture_s *texture, tfloat size, int octaves, int absolute, vect_t scale, vect_t translate) {
-    struct texture_clouds_s *td;
 
-    BU_ALLOC(texture->data, struct texture_clouds_s);
-    texture->free = texture_clouds_free;
-    texture->work = (texture_work_t *)texture_clouds_work;
 
-    td = (struct texture_clouds_s*)texture->data;
-    td->size = size;
-    td->octaves = octaves;
-    td->absolute = absolute;
-    VMOVE(td->scale, scale);
-    VMOVE(td->translate, translate);
 
-    texture_perlin_init(&td->perlin);
-}
-
-
 void
 texture_clouds_free(struct texture_s *texture) {
     struct texture_clouds_s *td;
Index: src/adrt/librender/texture_gradient.c
===================================================================
--- src/adrt/librender/texture_gradient.c	(revision 59161)
+++ src/adrt/librender/texture_gradient.c	(working copy)
@@ -30,19 +30,9 @@
 
 #include "bu.h"
 
-void
-texture_gradient_init(struct texture_s *texture, int axis) {
-    struct texture_gradient_s *td;
 
-    BU_ALLOC(texture->data, struct texture_gradient_s);
-    texture->free = texture_gradient_free;
-    texture->work = (texture_work_t *)texture_gradient_work;
 
-    td = (struct texture_gradient_s *)texture->data;
-    td->axis = axis;
-}
 
-
 void
 texture_gradient_free(struct texture_s *texture) {
     bu_free(texture->data, "gradient data");
Index: src/adrt/librender/texture_image.c
===================================================================
--- src/adrt/librender/texture_image.c	(revision 59161)
+++ src/adrt/librender/texture_image.c	(working copy)
@@ -33,22 +33,9 @@
 
 #include "bu.h"
 
-void
-texture_image_init(struct texture_s *texture, short w, short h, unsigned char *image) {
-    struct texture_image_s *td;
 
-    BU_ALLOC(texture->data, struct texture_image_s);
-    texture->free = texture_image_free;
-    texture->work = (texture_work_t *)texture_image_work;
 
-    td = (struct texture_image_s *)texture->data;
-    td->w = w;
-    td->h = h;
-    td->image = (unsigned char *)bu_malloc(3*w*h, "texture image");
-    memcpy(td->image, image, 3*w*h);
-}
 
-
 void
 texture_image_free(struct texture_s *texture) {
     struct texture_image_s *td;
Index: src/adrt/librender/texture_mix.c
===================================================================
--- src/adrt/librender/texture_mix.c	(revision 59161)
+++ src/adrt/librender/texture_mix.c	(working copy)
@@ -30,21 +30,8 @@
 
 #include "bu.h"
 
-void
-texture_mix_init(struct texture_s *texture, struct texture_s *texture1, struct texture_s *texture2, fastf_t coef) {
-    struct texture_mix_s *td;
 
-    BU_ALLOC(texture->data, struct texture_mix_s);
-    texture->free = texture_mix_free;
-    texture->work = (texture_work_t *)texture_mix_work;
 
-    td = (struct texture_mix_s *)texture->data;
-    td->texture1 = texture1;
-    td->texture2 = texture2;
-    td->coef = coef;
-}
-
-
 void
 texture_mix_free(struct texture_s *texture) {
     bu_free(texture->data, "texture data");
Index: src/adrt/librender/texture_stack.c
===================================================================
--- src/adrt/librender/texture_stack.c	(revision 59161)
+++ src/adrt/librender/texture_stack.c	(working copy)
@@ -30,20 +30,9 @@
 #include "bu.h"
 
 
-void
-texture_stack_init(struct texture_s *texture) {
-    struct texture_stack_s *td;
 
-    BU_ALLOC(texture->data, struct texture_stack_s);
-    texture->free = texture_stack_free;
-    texture->work = (texture_work_t *)texture_stack_work;
 
-    td = (struct texture_stack_s *)texture->data;
-    td->num = 0;
-    td->list = NULL;
-}
 
-
 void
 texture_stack_free(struct texture_s *texture) {
     struct texture_stack_s *td;
@@ -66,17 +55,9 @@
 }
 
 
-void
-texture_stack_push(struct texture_s *texture, struct texture_s *texture_new) {
-    struct texture_stack_s *td;
 
-    td = (struct texture_stack_s *)texture->data;
 
-    td->list = (struct texture_s **)bu_realloc(td->list, sizeof(struct texture_s *)*(td->num+1), "texture data");
-    td->list[td->num++] = texture_new;
-}
 
-
 /*
  * Local Variables:
  * mode: C
Index: src/conv/comgeom/mat.c
===================================================================
--- src/conv/comgeom/mat.c	(revision 59161)
+++ src/conv/comgeom/mat.c	(working copy)
@@ -310,22 +310,8 @@
 }
 
 
-/*
- *			V T O H _ M O V E
- *
- * Takes a pointer to a [x, y, z] vector, and a pointer
- * to space for a homogeneous vector [x, y, z, w],
- * and builds [x, y, z, 1].
- */
-void
-vtoh_move(float *h, float *v)
-{
-    *h++ = *v++;
-    *h++ = *v++;
-    *h++ = *v;
-    *h++ = 1;
-}
 
+
 /*
  *			H T O V _ M O V E
  *
Index: src/libbu/vfont.c
===================================================================
--- src/libbu/vfont.c	(revision 59161)
+++ src/libbu/vfont.c	(working copy)
@@ -124,14 +124,9 @@
 }
 
 
-void
-vfont_free(register struct vfont *vfp)
-{
-    bu_free(vfp->vf_bits, "vfont bits");
-    bu_free((char *)vfp, "vfont");
-}
 
 
+
 /*
  * Local Variables:
  * mode: C
